PyFinalizableInstance (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyFinalizableInstance

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyInstance
              org.python.core.PyFinalizableInstance

All Implemented Interfaces:
  Serializable

    public class PyFinalizableInstance

extends PyInstance

A python class instance with __del__ defined.

This is a special class due to performance. Defining finalize() on a class, makes the class a lot slower.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary

Fields inherited from class org.python.core.PyInstance
`__dict__, instclass, TYPE`

Constructor Summary
`PyFinalizableInstance(PyClass iclass)`

Method Summary

Methods inherited from class org.python.core.PyInstance
`__abs__, __add__, __and__, __call__, __cmp__, __coerce_ex__, __complex__, __contains__, __delattr__, __delitem__, __delslice__, __div__, __divmod__, __eq__, __findattr_ex__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __getitem__, __getslice__, __gt__, __hex__, __iadd__, __iand__, __idiv__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __init__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, fastGetClass, hashCode, instance___abs__, instance___add__, instance___and__, instance___div__, instance___divmod__, instance___floordiv__, instance___iadd__, instance___iand__, instance___idiv__, instance___ifloordiv__, instance___ilshift__, instance___imod__, instance___imul__, instance___invert__, instance___ior__, instance___ipow__, instance___irshift__, instance___isub__, instance___itruediv__, instance___ixor__, instance___lshift__, instance___mod__, instance___mul__, instance___neg__, instance___new__, instance___or__, instance___pos__, instance___pow__, instance___radd__, instance___rand__, instance___rdiv__, instance___rdivmod__, instance___rfloordiv__, instance___rlshift__, instance___rmod__, instance___rmul__, instance___ror__, instance___rpow__, instance___rrshift__, instance___rshift__, instance___rsub__, instance___rtruediv__, instance___rxor__, instance___sub__, instance___truediv__, instance___xor__, invoke_ex, invoke_ex, invoke_ex, invoke_ex, invoke, invoke, invoke, isCallable, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, toString`

Methods inherited from class org.python.core.PyObject
`__call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __findattr__, __findattr__, __finditem__, __get__, __getattr__, __getattr__, __getitem__, __getnewargs__, __getslice__, __hash__, __idivmod__, __not__, __pow__, __reduce__, __reduce_ex__, __reduce_ex__, __set__, __setattr__, __setitem__, __setitem__, __setslice__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, isDataDescr, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PyFinalizableInstance

    public PyFinalizableInstance(PyClass iclass)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage